Subject: bug#60190: 29.0.50; Improve `Info-goto-node-web'

From: Marcin Borkowski <[email-masked]>
Date: Mon, 19 Dec 2022 20:24:00 +0100

On 2022-12-19, at 18:23, Drew Adams <[email-masked]> wrote:

>> I am extremely happy because of `Info-goto-node-web', but it would be
>> even better if two changes were made.
>> 
>> 1. It could work in "An Introduction to Programming in Emacs Lisp" and
>> Org mode manual, too.
>> 
>> 2. It could put the URL on the kill ring when called with a prefix
>> argument.
>
> FWIW:
>
> The command is originally from Info+ (see bug #44895).

Interesting, though not surprising.

> There, a prefix arg reverses the effect of the current
> value of option `browse-url-new-window-flag', which
> decides whether a new browser window is used instead
> of the current one.

Out of curiosity – is it possible to decide that when calling
e.g. Firefox?  (Frankly, I'm not sure why I would want a separate window
when ff has tabs, but maybe some people do use windows...)

> And maybe the option should cover not only this
> command but also commands that read a URL - IOW,
> maybe it should be a general user preference
> whether to add URLs (that you choose interactively)
> to the kill-ring.

Not sure about this – why put a URL I _type_ into the kill ring?  Though
I agree that if the URL is somehow generated, this may be very useful.
For instance, if I had a function which could open DevDocs pages,
copying their URLs to the kill ring (or in this case, the system
clipboard) could make it easier to send their links to my teammates
(something I do fairly often).

Best,

-- 
Marcin Borkowski
http://mbork.pl